Skip to main content
POST
/
api
/
v3
/
workspaces
/
datasource
/
test
Test datasource credentials
curl --request POST \
  --url https://api.lighton.ai/api/v3/workspaces/datasource/test \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "credentials": {},
  "filter_criteria": {}
}
'
import requests

url = "https://api.lighton.ai/api/v3/workspaces/datasource/test"

payload = {
    "name": "<string>",
    "credentials": {},
    "filter_criteria": {}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', credentials: {}, filter_criteria: {}})
};

fetch('https://api.lighton.ai/api/v3/workspaces/datasource/test', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": null,
  "code": 422,
  "error": "validation_error",
  "detail": "One or more fields failed validation.",
  "doc_url": "https://developers.lighton.ai/errors#validation_error",
  "fields": {
    "<field_name>": [
      {
        "error": "required",
        "detail": "This field is required."
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

Pydantic request model for datasource conversion and credential testing.

type
enum<string>
required
Available options:
googledrive,
sharepoint,
servicenow,
webscrapper
name
string
required
credentials
Credentials · object
filter_criteria
Filter Criteria · object

Response

Connection successful